Add a Schedule Trigger
curl --request POST \
--url https://api.bold-factory.com/v1/agents/automations/{automationId}/triggers/schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"schedule": {
"interval": 123,
"timezone": "<string>",
"times": [
"<string>"
],
"daysOfWeek": [],
"daysOfMonth": [
123
],
"lastDayOfMonth": true,
"monthlyPattern": {},
"between": {
"start": "<string>",
"end": "<string>"
},
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"skipDates": [
"2023-12-25"
]
},
"enabled": true
}
'import requests
url = "https://api.bold-factory.com/v1/agents/automations/{automationId}/triggers/schedules"
payload = {
"schedule": {
"interval": 123,
"timezone": "<string>",
"times": ["<string>"],
"daysOfWeek": [],
"daysOfMonth": [123],
"lastDayOfMonth": True,
"monthlyPattern": {},
"between": {
"start": "<string>",
"end": "<string>"
},
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"skipDates": ["2023-12-25"]
},
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
schedule: {
interval: 123,
timezone: '<string>',
times: ['<string>'],
daysOfWeek: [],
daysOfMonth: [123],
lastDayOfMonth: true,
monthlyPattern: {},
between: {start: '<string>', end: '<string>'},
startDate: '2023-12-25',
endDate: '2023-12-25',
skipDates: ['2023-12-25']
},
enabled: true
})
};
fetch('https://api.bold-factory.com/v1/agents/automations/{automationId}/triggers/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"kind": "Schedule",
"enabled": true,
"lastTriggeredAt": "2023-11-07T05:31:56Z",
"triggerCount": 123,
"schedule": {
"frequency": "Daily",
"interval": 123,
"timezone": "<string>",
"times": [
"<string>"
],
"daysOfWeek": [
"Sunday"
],
"daysOfMonth": [
123
],
"lastDayOfMonth": true,
"monthlyPattern": {
"ordinal": "First",
"weekday": "Sunday"
},
"between": {
"start": "<string>",
"end": "<string>"
},
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"skipDates": [
"2023-12-25"
]
},
"nextRunAt": "2023-11-07T05:31:56Z",
"eventName": "<string>",
"eventVersion": 123,
"conditionFormula": "<string>"
}{
"type": "https://api.bold-factory.com/errors/COMMON.QUERY.FILTER_PARSING_FAILED",
"title": "Filter parsing failed",
"status": 400,
"detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
"instance": "POST /v1/items/families/search",
"code": "COMMON.QUERY.FILTER_PARSING_FAILED"
}{
"type": "https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "You are not authenticated.",
"instance": "GET /v1/items/skus"
}{
"type": "https://api.bold-factory.com/errors/COMMON.AUTH.MISSING_PERMISSIONS",
"title": "Missing permissions",
"status": 403,
"detail": "Missing permissions: Items.Families.Read",
"instance": "GET /v1/maintenance/assets",
"code": "COMMON.AUTH.MISSING_PERMISSIONS"
}{
"type": "https://api.bold-factory.com/errors/COMMON.ENTITY.NOT_FOUND",
"title": "The entity was not found.",
"status": 404,
"detail": "Entity Family (pr_72f13bd8218h9823dfj9) was not found.",
"instance": "DELETE /v1/items/families/pr_72f13bd8218h9823dfj9",
"code": "COMMON.ENTITY.NOT_FOUND"
}{
"type": "https://api.bold-factory.com/errors/COMMON.RATE_LIMIT.EXCEEDED",
"title": "Rate limit exceeded",
"status": 429,
"detail": "The request rate limit for this tenant has been exceeded. Retry after the indicated delay.",
"instance": "GET /v1/admin/tenants/self",
"code": "COMMON.RATE_LIMIT.EXCEEDED",
"parameters": {}
}Automations
Add a Schedule Trigger
Adds a Trigger that starts a Task on the configured schedule.
POST
/
v1
/
agents
/
automations
/
{automationId}
/
triggers
/
schedules
Add a Schedule Trigger
Autorizaciones
JWTApiKey
Use a valid JWT token in the Authorization header with the format 'Bearer {token}'
Parámetros de ruta
Respuesta
Created
Opciones disponibles:
Schedule, Event Show child attributes
Show child attributes
⌘I